package org.jeecg.modules.demo.externalinternalsite.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.demo.externalinternalsite.entity.ExternalInternalSite;
import org.jeecg.modules.demo.externalinternalsite.mapper.ExternalInternalSiteMapper;
import org.jeecg.modules.demo.externalinternalsite.service.IExternalInternalSiteService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;

/**
 * @Description: 扫描链接表
 * @Author: jeecg-boot
 * @Date:   2023-04-03
 * @Version: V1.0
 */
@Service
public class ExternalInternalSiteServiceImpl extends ServiceImpl<ExternalInternalSiteMapper, ExternalInternalSite> implements IExternalInternalSiteService {

    @Autowired
    private ExternalInternalSiteMapper externalInternalSiteMapper;

    @Override
    public IPage<ExternalInternalSite> pageSource(Page<ExternalInternalSite> page) {
        return externalInternalSiteMapper.pageSource(page);
    }


    @Override
    public Integer countSource(String mainUrl) {
        return externalInternalSiteMapper.countSource(mainUrl);
    }
    @Override
    public Integer countSourceLinkOuter(String mainUrl) {
        return externalInternalSiteMapper.countSourceLinkOuter(mainUrl);
    }

    @Override
    public Integer countSourceLinkError(String mainUrl) {
        return externalInternalSiteMapper.countSourceLinkError(mainUrl);
    }



    @Override
    public IPage<ExternalInternalSite> pageGroupByWai(Page<ExternalInternalSite> page, ExternalInternalSite externalInternalSite) {

        return externalInternalSiteMapper.pageGroupByWai(
                page,
                externalInternalSite.getUrl(),
                externalInternalSite.getStateUrl(),
                externalInternalSite.getMessage());
    }

    @Override
    public IPage<ExternalInternalSite> pageSourceMainUrl(Page<ExternalInternalSite> page, String mainUrl) {
        return externalInternalSiteMapper.pageSourceMainUrl(page,mainUrl);
    }

    @Override
    public IPage<ExternalInternalSite> pageSourceErrorMainUrl(Page<ExternalInternalSite> page, String mainUrl) {
        return externalInternalSiteMapper.pageSourceErrorMainUrl(page,mainUrl);
    }

    @Override
    public List<ExternalInternalSite> listPage(Integer i, Integer pageSize) {
        return externalInternalSiteMapper.listPage(i,pageSize);
    }

    @Override
    public List<ExternalInternalSite> listPageLinkOuter(Integer i, Integer pageSize) {
        return externalInternalSiteMapper.listPageLinkOuter(i,pageSize);
    }

    @Override
    public List<ExternalInternalSite> listPageLinkChainError(Integer i, Integer pageSize) {
        return externalInternalSiteMapper.listPageLinkChainError(i,pageSize);
    }


    @Override
    public IPage<ExternalInternalSite> pageSourceMainUrlLinkOuter(Page<ExternalInternalSite> page, String mainUrl) {
        return externalInternalSiteMapper.pageSourceMainUrlLinkOuter(page,mainUrl);
    }

    @Override
    public Integer countSourceNoAnchor(String mainSiteUrl, String anchorLink) {
        return externalInternalSiteMapper.countSourceNoAnchor(mainSiteUrl,anchorLink);
    }

    @Override
    public IPage<ExternalInternalSite> pageSourceMainUrlNoAnchor(Page<ExternalInternalSite> page, String mainSiteUrl, String anchorLink) {
        return externalInternalSiteMapper.pageSourceMainUrlNoAnchor(page,mainSiteUrl,anchorLink);
    }
}
